package com.sourcefellows.patterns.adapter;


import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlValue;

public class MyHashMapEntryType {

    public MyHashMapEntryType(Integer key, String value) {
        this.key = key;
        this.value = value;
    }

    @XmlAttribute
    public Integer key;

    @XmlValue
    public String value;

    @Override
    public String toString() {
        return "MyHashMapEntryType{" +
                "key=" + key +
                ", value='" + value + '\'' +
                '}';
    }
}
